> ## Documentation Index
> Fetch the complete documentation index at: https://www.cashfree.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Update User Detail

> Update User Detail.



## OpenAPI

````yaml patch /user
openapi: 3.0.0
info:
  license:
    name: Apache 2.0
    url: https://www.apache.org/licenses/LICENSE-2.0.html
  contact:
    email: developers@cashfree.com
    name: API Support
    url: https://discord.com/invite/QdZkNSxXsB
  title: Cashfree Verification API's.
  version: '2023-12-18'
  description: >-
    Cashfree's Verification APIs provide different types of verification to our
    merchants.
servers:
  - description: Sandbox Server
    url: https://sandbox.cashfree.com/verification
  - description: Production Server
    url: https://api.cashfree.com/verification
security: []
tags:
  - name: Aadhaar
    description: Operations related to Aadhaar verification.
  - name: BAV V2
    description: Operations related to Bank account verification v2.
  - name: PAN
    description: Operations related to PAN verification.
  - name: Digilocker
    description: Operations related to Digilocker verification.
  - name: E-sign
    description: Operations related to E-sign verification.
  - name: Reverse Penny Drop
    description: Operations related to Reverse Penny Drop verification.
  - name: UPI Penny Drop
    description: Operations related to UPI Penny Drop verification.
  - name: Mobile Penny Drop
    description: Operations related to Mobile Penny Drop verification.
  - name: IP
    description: Operation related to IP verification.
  - name: UPI
    description: Operations related to UPI verification.
  - name: Passport
    description: Operation related to Passport verification.
  - name: CIN
    description: Operation related to CIN verification.
  - name: Name Match
    description: Operation related to Name Match verification.
  - name: PAN to GSTIN
    description: Operation related to PAN to GSTIN.
  - name: Face Match
    description: Operation related to Face Match verification.
  - name: Voter ID
    description: Operation related to Voter ID verification.
  - name: Reverse Geocoding
    description: Operation related to Reverse Geocoding.
  - name: Vehicle RC
    description: Operation related to Vehicle RC verification.
  - name: Driving License
    description: Operation related to Driving License verification.
  - name: GSTIN
    description: Operation related to GSTIN verification.
  - name: Account Aggregator
    description: Operations related to Account aggregator.
  - name: OTPLess
    description: Operations related to OTPLess Verification.
  - name: 1-Click
    description: Operations related to 1-Click.
  - name: Smart OCR
    description: Operations related to Smart OCR.
  - name: Geocoding
    description: Operations related to Geocoding.
  - name: Udyam
    description: Operation related to Udyam verification.
  - name: PAN to Udyam
    description: Operation related to PAN to Udyam.
paths:
  /user:
    patch:
      tags:
        - User
      summary: Update User Detail
      description: Update User Detail.
      operationId: VrsUpdateUser
      parameters:
        - $ref: '#/components/parameters/x_cf_signature'
        - $ref: '#/components/parameters/global_x_api_version'
      requestBody:
        $ref: '#/components/requestBodies/UpdateUserRequest'
      responses:
        '200':
          $ref: '#/components/responses/UserResponse'
        '400':
          $ref: '#/components/responses/Response400UpdateUser'
        '401':
          $ref: '#/components/responses/Response401'
        '403':
          $ref: '#/components/responses/Response403'
        '404':
          $ref: '#/components/responses/Response404VRSUser'
        '500':
          $ref: '#/components/responses/Response500V2'
      security:
        - XClientID: []
          XClientSecret: []
components:
  parameters:
    x_cf_signature:
      description: >-
        Send the signature if two-factor authentication is selected as Public
        Key.  [More
        details](https://www.cashfree.com/docs/api-reference/vrs/getting-started#2fa-api-signature-generation).
      name: x-cf-signature
      in: header
      required: false
      schema:
        type: string
      example: ''
    global_x_api_version:
      description: API version to be used. Format is in YYYY-MM-DD.
      name: x-api-version
      in: header
      required: true
      schema:
        type: string
        default: '2024-12-01'
        example: '2024-12-01'
      example: '2024-12-01'
  requestBodies:
    UpdateUserRequest:
      description: >-
        Find the request for updating a user, phone number field cannot be
        updated.
      required: true
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/UpdateUserRequestSchema'
          examples:
            user_id:
              summary: UserId
              description: Update user detail using user_id.
              value:
                user_id: User0123
                email: johndoe@gmail.com
                name: John Doe
                address: GROUND FLOOR, 123, ABC CIRCLE, XYZ MAIN ROAD, BANGALORE
            user_reference_id:
              summary: UserReferenceId
              description: Update user detail using user_reference_id.
              value:
                user_reference_id: 1358
                email: johndoe@gmail.com
                name: John Doe
                address: GROUND FLOOR, 123, ABC CIRCLE, XYZ MAIN ROAD, BANGALORE
  responses:
    UserResponse:
      description: Success response for creating a user profile for Video KYC.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/UserResponseSchema'
          examples:
            Success:
              value:
                user_reference_id: 1358
                user_id: User0123
                phone: '9988776655'
                email: johndoe@gmail.com
                name: John doe
                address: GROUND FLOOR, 123, ABC CIRCLE, XYZ MAIN ROAD, BANGALORE
    Response400UpdateUser:
      description: Validation errors for add user API.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponseSchema'
          examples:
            User Id Invalid:
              value:
                type: validation_error
                code: user_id_value_invalid
                message: >-
                  user_id can include only alphanum, dot, hyphen and
                  underscores.
            Email Invalid:
              value:
                type: validation_error
                code: email_address_invalid
                message: email should be a valid email address.
            Address Invalid:
              value:
                type: validation_error
                code: address_length_exceeded
                message: address can include a maximum of 500 characters.
            Name Invalid:
              value:
                type: validation_error
                code: name_value_invalid
                message: name should only contains alphanumeric, space, dot and hyphen.
    Response401:
      description: Invalid client ID and client secret combination.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponseSchema'
          examples:
            Invalid client ID and client secret combination:
              value:
                type: authentication_error
                code: authentication_failed
                message: Invalid clientId and clientSecret combination
    Response403:
      description: Authentication error (IP not whitelisted).
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponseSchema'
          examples:
            IP not whitelisted:
              value:
                type: authentication_error
                code: ip_validation_failed
                message: >-
                  IP not whitelisted your current ip is 106.51.91.104.For IP
                  whitelisting assistance, visit our guide at
                  https://www.cashfree.com/docs/secure-id/get-started/integration/ip-whitelisting-verification
            x-cf-signature header missing:
              value:
                type: validation_error
                code: authentication_failed
                message: x-cf-signature missing in the request header
    Response404VRSUser:
      description: Not found errors in VRS User API.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponseSchema'
          examples:
            User reference id not found:
              value:
                type: validation_error
                code: user_reference_id_not_found
                message: user_reference_id does not exist
            User id not found:
              value:
                type: validation_error
                code: user_id_not_found
                message: user_id does not exist
    Response500V2:
      description: Internal error.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponseSchema'
          examples:
            Internal Server Error:
              value:
                type: internal_error
                code: verification_failed
                message: something went wrong
  schemas:
    UpdateUserRequestSchema:
      type: object
      properties:
        user_reference_id:
          type: integer
          description: >-
            It is the unique ID created by Cashfree Payments that you receive in
            the response of Create User for Secure ID API.
          example: 1358
        user_id:
          description: It is the unique ID you create to identify the user.
          type: string
          example: User0123
        email:
          type: string
          description: It displays the email address of the user.
          example: johndoe@gmail.com
        name:
          type: string
          description: It is the name of the user.
          example: John Doe
        address:
          type: string
          description: It is the address of the user.
          example: GROUND FLOOR, 123, ABC CIRCLE, XYZ MAIN ROAD, BANGALORE
    UserResponseSchema:
      type: object
      example:
        value:
          user_reference_id: 1358
          user_id: User0123
          phone: 9988776655
          email: johndoe@gmail.com
          name: John doe
          address: GROUND FLOOR, 123, ABC CIRCLE, XYZ MAIN ROAD, BANGALORE
      properties:
        user_id:
          description: >-
            It is the unique ID you create to identify the user, or it is
            auto-generated by Cashfree if not provided in request.
          type: string
          example: User0123
        user_reference_id:
          type: integer
          description: >-
            It displays the unique ID created by Cashfree Payments for reference
            purposes. format: `int64`
          example: 1358
        phone:
          description: The phone number of the user.
          type: string
          example: '9988776655'
        email:
          type: string
          description: The email address of the user.
          example: johndoe@gmail.com
        name:
          type: string
          description: The name of the user.
          example: John Doe
        address:
          type: string
          description: The address of the user.
          example: GROUND FLOOR, 123, ABC CIRCLE, XYZ MAIN ROAD, BANGALORE
    ErrorResponseSchema:
      type: object
      properties:
        code:
          type: string
          example: x-client-id_missing
        error:
          type: object
          example:
            ref_id: 102
        message:
          type: string
          example: x-client-id is missing in the request.
          description: It displays the outcome of the error.
        type:
          type: string
          example: validation_error
          description: It displays the type of error.
  securitySchemes:
    XClientID:
      type: apiKey
      in: header
      name: x-client-id
      description: >-
        Your unique client identifier issued by Cashfree. You can find this in
        your [Merchant
        Dashboard](https://merchant.cashfree.com/verificationsuite/developers/api-keys).
    XClientSecret:
      type: apiKey
      in: header
      name: x-client-secret
      description: >-
        The secret key associated with your client ID. Use this to authenticate
        your API requests. You can find this in your [Merchant
        Dashboard](https://merchant.cashfree.com/verificationsuite/developers/api-keys).

````